Bug 5281 - mounting cifs shares fails
mounting cifs shares fails
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: kernel fs
2.6
x64 Other
: P3 regression
: ---
Assigned To: Steve French
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-25 08:12 UTC by Oliver Weinmann
Modified: 2009-05-13 16:17 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Oliver Weinmann 2008-02-25 08:12:36 UTC
i don't know if this is a bug, but the same thing happened on a RHEL4 and a SLES9 machine.

whenever I try to mount a cifs share from our netapp filer, the mount works. But when I do an "ls" in the mounted directory I always get a "cannot allocate memory error". I'm stuck here and switched over to smbfs for now. But this has some drawbacks.
Comment 1 Shirish S. Pargaonkar 2009-03-06 03:53:35 UTC
Is this still a problem?
Comment 2 Steve French 2009-05-13 16:17:09 UTC
We did two fixes which I remember addressed bugs that showed up to NetApp filers.  The later of the two was fixed in October 2008 (and was in kernels 2.6.28 and later).  I remember finding one earlier problem which showed up on readdir to NetApp at one of the connectathon events a few years ago, but readdir form Linux cifs to netapp still does work now based on testing earlier this year.